LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software > Linux - Games
User Name
Password
Linux - Games This forum is for all discussion relating to gaming in Linux.

Notices

Reply
 
Search this Thread
Old 02-25-2004, 08:50 PM   #1
Netsplit
LQ Newbie
 
Registered: Feb 2004
Location: Aussiland
Posts: 6

Rep: Reputation: 0
half-life wine graphics


hey, sorry if this has already been covered, but i cant find it anywhere

anyone had a problem where they start a game, and it says it requires either atleast 16 bit?

i can run quake 3 etc thru the port, so the gl support is installed, and in winecfg it says its 24 bit, any ideas?

running latest version of wine
 
Old 02-26-2004, 08:06 AM   #2
samhob
Member
 
Registered: Jan 2004
Location: Bern, Switzerland
Distribution: Debian
Posts: 72

Rep: Reputation: 15
switch to 16 bits.. its better for half life , and it doesnt REALLY change something to x..
 
Old 02-26-2004, 03:00 PM   #3
slightcrazed
Member
 
Registered: May 2003
Location: Lisbon Falls, Maine
Distribution: RH 8.0, 9.0, FC2 - 4, Slack 9.0 - 10.2, Knoppix 3.4 - 4.0, LFS,
Posts: 789

Rep: Reputation: 30
In more detail..... go into your /etc/X11/XF86config file and change the 'default depth' value from 24 to 16.

slight
 
Old 02-27-2004, 04:04 AM   #4
Netsplit
LQ Newbie
 
Registered: Feb 2004
Location: Aussiland
Posts: 6

Original Poster
Rep: Reputation: 0
thanks, i've already tried changing it in the X11 config, but x wont boot on anything other than 24.

it doesnt do it in winex3, but in winex3 it runs REALLY bad, for some reason if i run glxgears it runs with thousands of frames per sec, but when i do it in Point to Play, it gets like, 50 odd or something
 
Old 02-27-2004, 02:32 PM   #5
LavaDevil94
Guru
 
Registered: Jul 2003
Distribution: Gentoo 2004.2: Who needs exmmpkg when you have emerge?
Posts: 1,795

Rep: Reputation: 46
are you using an ati card with the 3.7.0 drivers?
 
Old 02-27-2004, 07:32 PM   #6
Netsplit
LQ Newbie
 
Registered: Feb 2004
Location: Aussiland
Posts: 6

Original Poster
Rep: Reputation: 0
uum

using glx version...

server glx version string: 1.2
client glx vendor string: ATI
client glx version string: 1.3

i'm not sure what version of graphics driver im using, its the one that comes with Fedora

if someone knows how to check i'll check
 
Old 02-27-2004, 08:22 PM   #7
LavaDevil94
Guru
 
Registered: Jul 2003
Distribution: Gentoo 2004.2: Who needs exmmpkg when you have emerge?
Posts: 1,795

Rep: Reputation: 46
well, download the ati drivers from their website if you havent already, and see if that fixes the problem.
 
Old 02-28-2004, 12:09 AM   #8
Netsplit
LQ Newbie
 
Registered: Feb 2004
Location: Aussiland
Posts: 6

Original Poster
Rep: Reputation: 0
yeah, i was already using the latest drivers

any other idea's?

machines a 1.6 with 512mb ddr, radeon 9700pro,
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Half-Life with Wine Question efanning Linux - Games 3 09-11-2004 02:59 AM
wine and half life Spaz17 Linux - Software 7 11-23-2003 10:01 PM
wine + cant install half-life a2ps Linux - Software 1 10-29-2003 08:03 PM
Wine + Half Life Install Sage314 Linux - Software 23 09-15-2003 12:17 PM
wine and half-life chrismiceli Linux - Software 6 12-29-2002 08:32 PM


All times are GMT -5. The time now is 03:03 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration